summaryrefslogtreecommitdiff
path: root/tests/mv/backup-is-src
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/backup-is-src')
-rwxr-xr-xtests/mv/backup-is-src31
1 files changed, 9 insertions, 22 deletions
diff --git a/tests/mv/backup-is-src b/tests/mv/backup-is-src
index 8e9bba024..f8be007a8 100755
--- a/tests/mv/backup-is-src
+++ b/tests/mv/backup-is-src
@@ -1,7 +1,7 @@
#!/bin/sh
# Force mv to use the copying code.
-# Copyright (C) 1998, 1999, 2000, 2004 Free Software Foundation, Inc.
+# Copyright (C) 1998, 1999, 2000, 2004, 2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -21,28 +21,17 @@ if test "$VERBOSE" = yes; then
mv --version
fi
-. $srcdir/../other-fs-tmpdir
-. $srcdir/../envvar-check
-
-if test -z "$other_partition_tmpdir"; then
- exit 77
-fi
+. $srcdir/../lang-default
+. $srcdir/../test-lib.sh
+cleanup_() { rm -rf "$other_partition_tmpdir"; }
+. "$abs_top_srcdir/tests/other-fs-tmpdir"
a="$other_partition_tmpdir/a"
a2="$other_partition_tmpdir/a~"
-framework_failure=0
-rm -f $a $a2 || framework_failure=1
-echo a > $a || framework_failure=1
-echo a2 > $a2 || framework_failure=1
-
-if test $framework_failure = 1; then
- echo 'failure in testing framework'
- exit 1
-fi
-
-# Make sure we get English translations.
-. $srcdir/../lang-default
+rm -f $a $a2 || framework_failure
+echo a > $a || framework_failure
+echo a2 > $a2 || framework_failure
# This mv command should exit nonzero.
mv --b=simple $a2 $a > out 2>&1 && fail=1
@@ -57,8 +46,6 @@ cat > exp <<\EOF
XXX: backing up `YYY' would destroy source; `ZZZ' not moved
EOF
-cmp out2 exp || fail=1
-
-rm -fr out out2 exp $a $a2 $other_partition_tmpdir
+compare out2 exp || fail=1
exit $fail